kr.co.hanwha.hifive.adapter.viewholder

## Class MainDashboardGridViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.MainDashboardGridViewHolder

-     public class MainDashboardGridViewHolder
      extends BaseViewHolder

  Created by sanghoonkwon on 2018. 3. 15..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.widget.LinearLayout` | `mLayoutBody`
    `private MainDashboardListContract.OnMainDashboardListListener` | `mOnMainDashboardListListener`
    `private android.widget.TextView` | `mTextViewLog`
    `private android.widget.TextView` | `mTextViewMember`
    `private android.widget.TextView` | `mTextViewProject`
    `private android.view.View` | `mViewStatus`
    `private android.view.View` | `mViewStatus2`

    - ### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `itemView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainDashboardGridViewHolder(android.view.ViewGroup viewGroup, MainDashboardListContract.OnMainDashboardListListener onMainDashboardListListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBind(java.lang.Object object, int cellWidth)`

    - ### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

      `getContext, getHeight`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mLayoutBody

          private android.widget.LinearLayout mLayoutBody

    - #### mViewStatus

          private android.view.View mViewStatus

    - #### mViewStatus2

          private android.view.View mViewStatus2

    - #### mTextViewProject

          private android.widget.TextView mTextViewProject

    - #### mTextViewMember

          private android.widget.TextView mTextViewMember

    - #### mTextViewLog

          private android.widget.TextView mTextViewLog

    - #### mOnMainDashboardListListener

          private MainDashboardListContract.OnMainDashboardListListener mOnMainDashboardListListener

  - ### Constructor Detail

    - #### MainDashboardGridViewHolder

          public MainDashboardGridViewHolder(@NonNull
                                             android.view.ViewGroup viewGroup,
                                             MainDashboardListContract.OnMainDashboardListListener onMainDashboardListListener)

  - ### Method Detail

    - #### onBind

          public void onBind(@NonNull
                             java.lang.Object object,
                             @NonNull
                             int cellWidth)

      Overrides:
        `onBind` in class `BaseViewHolder`